<?php
/**
 * ArrayUtil
 * 配列に関するユーティリティー
 * $Id: ArrayUtil.inc,v 1.1 2015/10/08 11:18:56 wanggb Exp $
 * @author iimuro
 * @access public
 * @package jp.aimslib.util
 */
 
class ArrayUtil {
	
	
	/**
	 * 配列から指定した添字の値を抜き出します。
	 * issetと!= ""の複合判別を行います。
	 */
	function getValue($array, $key, $default = "") {
		
		if (isset($array[$key])) {
			if (is_bool($array[$key])) {
				return $array[$key];
			} else if ($array[$key] != "") {
				return $array[$key];
			}
		}
		
		return $default;
		
	}
	
	function getCommaStringByArray($array) {
	
		$comma_string_tmp = null;
		$comma_string = null;
		
		for($i=0;$i<count($array);$i++) {
			$comma_string_tmp .= $array[$i];
			$comma_string_tmp .= ",";
		}
		
		if ($comma_string_tmp != null) {
			$comma_string = substr($comma_string_tmp,0,strlen($comma_string_tmp)-1);
		}
		
		return $comma_string;
		
	
	}
	
	
}

?>